--- tcpdump-3.8.3-orig/configure	2004-03-28 13:06:09.000000000 -0800
+++ tcpdump-3.8.3/configure	2004-06-27 22:08:18.962032155 -0700
@@ -2059,13 +2059,13 @@
   CFLAGS=$ac_save_CFLAGS
 elif test $ac_cv_prog_cc_g = yes; then
   if test "$GCC" = yes; then
-    CFLAGS="-g -O2"
+    CFLAGS="-g -Os"
   else
     CFLAGS="-g"
   fi
 else
   if test "$GCC" = yes; then
-    CFLAGS="-O2"
+    CFLAGS="-Os"
   else
     CFLAGS=
   fi
@@ -2291,7 +2291,7 @@
     if test "$GCC" = yes ; then
 	    if test "$SHLICC2" = yes ; then
 		    ac_cv_lbl_gcc_vers=2
-		    V_CCOPT="-O2"
+		    V_CCOPT="-Os"
 	    else
 		    echo "$as_me:$LINENO: checking gcc version" >&5
 echo $ECHO_N "checking gcc version... $ECHO_C" >&6
@@ -2308,7 +2308,7 @@
 		    echo "$as_me:$LINENO: result: $ac_cv_lbl_gcc_vers" >&5
 echo "${ECHO_T}$ac_cv_lbl_gcc_vers" >&6
 		    if test $ac_cv_lbl_gcc_vers -gt 1 ; then
-			    V_CCOPT="-O2"
+			    V_CCOPT="-Os"
 		    fi
 	    fi
     else
@@ -3384,7 +3384,7 @@
  		if test "${ac_cv_linux_vers+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_linux_vers=unknown
+  ac_cv_linux_vers=2
 fi
 
  	else
